Package com.sas.services.information.metadata

# Interface AuthorizationUtilInterface

All Superinterfaces:
  `AuthorizationBaseInterface`, `Remote`

All Known Implementing Classes:
  `AuthorizationUtil`

public interface AuthorizationUtilInterface extends AuthorizationBaseInterface
Remaining Interface methods for managing authorizations on protected objects.

Note that these methods do not apply to the authorizations that define an ACT. See parent class `AuthorizationBaseInterface` for all other methods used to manage authorizations on metadata objects.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyACT(AccessControlTemplateInterface act)`
  Apply an ACTs to protect an object
  `List<AccessControlTemplateInterface>`
  `getACTs()`
  Get ACTs that protect an object.
  `AuthorizationInheritanceInfoInterface`
  `getInheritanceInfo()`
  Get Inheritance Info for an object.
  `void`
  `removeACT(AccessControlTemplateInterface act)`
  Remove an ACT from protecting an object.

  ### Methods inherited from interface com.sas.services.information.metadata.AuthorizationBaseInterface

  `commit, discard, getApplicablePermissions, getAuthorizations, getAuthorizations, getAuthorizationsAll, getAuthorizationsExplained, getAuthorizationsExplained, getAuthorizationsExplainedAll, getCommitOnUpdate, getIdentityInfo, setAuthorizations, setAuthorizations, setCommitOnUpdate`

- ## Method Details

  - ### getACTs

    List<AccessControlTemplateInterface> getACTs() throws ServiceException, RemoteException
    Get ACTs that protect an object.
    Returns:
      A List of `AccessControlTemplateInterface` objects representing the ACT's associated to the object.
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - In the event of a remote object failure.

  - ### applyACT

    void applyACT(AccessControlTemplateInterface act) throws ServiceException, RemoteException
    Apply an ACTs to protect an object
    Parameters:
      `act` - An `AccessControlTemplateInterface` object for the ACT being applied.
    Throws:
      `IllegalArgumentException` - If the act parameter reference is null
      `ServiceException` - If a service level error occurs.
      `RemoteException` - In the event of a remote object failure.

  - ### removeACT

    void removeACT(AccessControlTemplateInterface act) throws ServiceException, RemoteException
    Remove an ACT from protecting an object.
    Parameters:
      `act` - An `AccessControlTemplateInterface` object for the ACT being removed.
    Throws:
      `IllegalArgumentException` - If the act parameter reference is null
      `ServiceException` - If a service level error occurs.
      `RemoteException` - In the event of a remote object failure.

  - ### getInheritanceInfo

    AuthorizationInheritanceInfoInterface getInheritanceInfo() throws ServiceException, RemoteException
    Get Inheritance Info for an object.
    Returns:
      An `AuthorizationInheritanceInfoInterface` representing an object's inheritance
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - In the event of a remote object failure.